/**
 * Informatique Industrielle et Java
 * Projet polymorphisme du chapitre3
 * Le compteur rapide incremente rapidement de plusieurs etats
 * un ACompteur donne
 * 
 * @author F. Mallet 
 * @version 1
 */
public class CompteurRapide {
	/* Le compteur lent est un ACompteur */
    private ACompteur compteur;
   /* vitesse d'incr?mentation */
    private int vitesse;
    
    /**
     * @param compteur, le compteur que l'on souhaite incrementer rapidement
     * @param vitesse, vitesse d'incrementation du compteur lent
     */
    public CompteurRapide(ACompteur compteur, int vitesse) {
        this.compteur = compteur;
        this.vitesse = vitesse;
    }

    /**
     * incrementer rapidement le compteur lent
     */
    public void incrementer() {
        for (int i = 0; i<vitesse; i++) {
            compteur.incrementer();
        }
    }
    
    /**
     * @return etat courant du compteur sous-jacent
     */
    public int getEtat() {
        return compteur.getEtat();
    }
}
